Rygel.MediaResource – librygel-server Reference Manual

# MediaResource

## Object Hierarchy:

## Description:

public class MediaResource : Object

Represents a media resource (Music, Video, Image, etc).

Namespace: Rygel
Package: librygel-server

## Content:

### Properties:

- public string uri { set; get; }
- public string import_uri { set; get; }
- public string extension { set; get; }
- public int64 size { set; get; }
- public int64 cleartext_size { set; get; }
- public long duration { set; get; }
- public int bitrate { set; get; }
- public int bits_per_sample { set; get; }
- public int color_depth { set; get; }
- public int width { set; get; }
- public int height { set; get; }
- public int audio_channels { set; get; }
- public int sample_freq { set; get; }
- public string protocol { set; get; }
- public string mime_type { set; get; }
- public string dlna_profile { set; get; }
- public string network { set; get; }
- public DLNAConversion dlna_conversion { set; get; }
- public DLNAFlags dlna_flags { set; get; }
- public DLNAOperation dlna_operation { set; get; }

### Creation methods:

- public MediaResource (string name)
- public MediaResource.from_resource (string name, MediaResource that)
  Copy constructor
- public MediaResource.from_didl_lite_resource (string name, DIDLLiteResource didl_resource)

### Methods:

- public MediaResource dup ()
- public string get_name ()
- public DIDLLiteResource serialize (DIDLLiteResource didl_resource, HashTable<string,string>? replacements)
- public void set_protocol_info (ProtocolInfo pi)
- public ProtocolInfo get_protocol_info (HashTable<string,string>? replacements = null)
- public bool supports_arbitrary_byte_seek ()
- public bool supports_arbitrary_time_seek ()
- public bool supports_limited_byte_seek ()
- public bool supports_limited_time_seek ()
- public bool supports_limited_cleartext_byte_seek ()
- public bool supports_full_cleartext_byte_seek ()
- public bool is_link_protection_enabled ()
- public bool is_dlna_content ()
- public string get_default_transfer_mode ()
- public bool supports_transfer_mode (string transfer_mode)
- public bool is_streamable ()
- public bool is_cleartext_range_support_enabled ()
- public bool supports_playspeed ()
- public bool is_dlna_protocol_flag_set (long flags)
- public bool is_dlna_operation_mode_set (long flags)
- public string to_string ()

### Fields:

- public string[] play_speeds

### Inherited Members:

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count